"use strict";

require("core-js/modules/es.object.assign.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionCardAwardsDetail = void 0;
require("core-js/modules/web.dom-collections.iterator.js");
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireWildcard(require("react"));
var _reactCollapsed = _interopRequireDefault(require("react-collapsed"));
var _CoalitionProgressBar = require("../CoalitionProgressBar");
var _svgs = require("../../svgs");
var _utils = require("../../utils");
require("./CoalitionCardAwardsDetail.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const CoalitionCardAwardsDetail = _ref => {
  let {
    card,
    balance
  } = _ref;
  const {
    getCollapseProps,
    getToggleProps,
    isExpanded
  } = (0, _reactCollapsed.default)();
  const redeemable = balance >= card.pay_in_points;
  const [productImg, solveImg] = (0, _react.useState)();
  (0, _react.useEffect)(() => {
    const testImg = function testImg(url) {
      let label = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "Award";
      let i = new Image();
      i.onload = () => solveImg((0, _utils.getImg)(url, label));
      i.onerror = () => solveImg((0, _utils.getImg)((0, _utils.generateImg)("250x200", label), label));
      i.src = url;
    };
    testImg(card.image);
  }, [card]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-available-prizes-detail"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-available-prizes-detail-main"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-available-prizes-detail-product"
  }, productImg), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-available-prizes-detail-specs"
  }, /*#__PURE__*/_react.default.createElement("h3", {
    className: "coalition-card-available-prizes-detail-title"
  }, card.title), redeemable ? /*#__PURE__*/_react.default.createElement(Ready, null) : null, /*#__PURE__*/_react.default.createElement("h4", {
    className: "coalition-card-available-prizes-detail-description"
  }, card.description), redeemable ? null : /*#__PURE__*/_react.default.createElement(InProgress, {
    required: card.pay_in_points,
    balance: balance
  }))), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-available-prizes-detail-terms-conditions"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "collapsible"
  }, /*#__PURE__*/_react.default.createElement("div", _extends({
    className: isExpanded ? "collapsible-open header" : "collapsible-closed header"
  }, getToggleProps()), "T\xE9rminos y Condiciones", /*#__PURE__*/_react.default.createElement("span", null, isExpanded ? /*#__PURE__*/_react.default.createElement(_svgs.ChevronUp, null) : /*#__PURE__*/_react.default.createElement(_svgs.ChevronDown, null))), /*#__PURE__*/_react.default.createElement("div", getCollapseProps(), /*#__PURE__*/_react.default.createElement("div", {
    className: "content"
  }, card.terms_and_conditions)))));
};
exports.CoalitionCardAwardsDetail = CoalitionCardAwardsDetail;
const InProgress = _ref2 => {
  let {
    required,
    balance
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-available-prizes-detail-progress"
  }, /*#__PURE__*/_react.default.createElement(_CoalitionProgressBar.CoalitionProgressBar, {
    current: balance,
    max: required
  })), /*#__PURE__*/_react.default.createElement("h6", {
    className: "coalition-card-available-prizes-detail-progress-text"
  }, "Llevas ", (0, _utils.formatPrice)(balance), " de ", (0, _utils.formatPrice)(required)));
};
const Ready = () => {
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-available-prizes-detail-ready"
  }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_svgs.GiftIcon, null)), /*#__PURE__*/_react.default.createElement("h4", null, "\xA1Ya puedes cambiar tu premio!"));
};