"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionCardReward = void 0;
var _react = _interopRequireDefault(require("react"));
var _utils = require("./../../utils");
var _svgs = require("./../../svgs");
var _CoalitionProgressBar = require("../CoalitionProgressBar");
require("./CoalitionCardReward.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionCardReward = _ref => {
  let {
    id,
    logo,
    product,
    title,
    used,
    needed,
    availableToRedeem,
    showModal,
    buttonRef
  } = _ref;
  const ready = availableToRedeem >= 1 || used >= needed;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-reward",
    ref: buttonRef,
    onClick: () => showModal(id)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-reward-main ".concat(ready ? "b-success" : ""),
    style: {
      borderBottom: "none"
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-reward-main-product"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: product,
    alt: "product"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-reward-main-title"
  }, /*#__PURE__*/_react.default.createElement("span", null, title))), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-reward-footer ".concat(ready ? "b-success bg-success" : ""),
    style: {
      borderTop: "none"
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "static-space"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-reward-footer-logo"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: logo,
    alt: "logo"
  })), ready ? /*#__PURE__*/_react.default.createElement(_svgs.SplitterSuccess, null) : /*#__PURE__*/_react.default.createElement(_svgs.SplitterNormal, null)), ready ? /*#__PURE__*/_react.default.createElement(Redeemable, null) : /*#__PURE__*/_react.default.createElement(NotRedeemable, {
    used: used,
    needed: needed
  })));
};
exports.CoalitionCardReward = CoalitionCardReward;
const Redeemable = () => /*#__PURE__*/_react.default.createElement("div", {
  className: "coalition-card-reward-footer-redeemable"
}, "\xA1Ya puedes cambiar tu recompensa!");
const NotRedeemable = _ref2 => {
  let {
    used,
    needed
  } = _ref2;
  const balance = "".concat(used, "/").concat(needed);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "dinamyc-space"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-reward-footer-progress"
  }, /*#__PURE__*/_react.default.createElement(_CoalitionProgressBar.CoalitionProgressBar, {
    current: used,
    max: needed
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-reward-footer-counter"
  }, balance));
};
const defProd = (0, _utils.isPortable)() ? "88" : "100";
CoalitionCardReward.defaultProps = {
  id: 123,
  logo: (0, _utils.generateImg)("30x30", "L"),
  product: (0, _utils.generateImg)("".concat(defProd, "x110"), "Product"),
  title: "Compra $70.00 en variedad de cereales Kellogg´s y llévate 1 Chezz de regalo",
  used: 3,
  needed: 5,
  availableToRedeem: 0
};