"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionSection = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = require("prop-types");
var _svgs = require("../../svgs");
require("./CoalitionSection.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionSection = _ref => {
  let {
    title,
    subtitle,
    children,
    moreLabel,
    knowMoreLink
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-section"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-section-title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-section-subtitle"
  }, subtitle), /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-section-cards"
  }, children), !knowMoreLink ? /*#__PURE__*/_react.default.createElement("div", null) : /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-section-know-more"
  }, /*#__PURE__*/_react.default.createElement("a", {
    href: knowMoreLink
  }, moreLabel, /*#__PURE__*/_react.default.createElement("span", {
    className: "generic-section-know-more-arrow"
  }, /*#__PURE__*/_react.default.createElement(_svgs.ArrowRight, null)))));
};
exports.CoalitionSection = CoalitionSection;
CoalitionSection.propTypes = {
  title: _propTypes.PropTypes.string,
  subtitle: _propTypes.PropTypes.string,
  children: _propTypes.PropTypes.array,
  moreLabel: _propTypes.PropTypes.string,
  knowMoreLink: _propTypes.PropTypes.string
};
CoalitionSection.defaultProps = {
  title: "CoalitionSection Title",
  subtitle: "CoalitionSection Subtitle",
  children: [/*#__PURE__*/_react.default.createElement("div", {
    key: "CoalitionSection"
  }, "CoalitionSection Children")],
  moreLabel: "Conoce más",
  knowMoreLink: "#"
};